From d62512095ff4d82c7337682de77cffe9fe5da2f2 Mon Sep 17 00:00:00 2001
From: Mike McQuaid <mike@mikemcquaid.com>
Date: Sat, 17 Sep 2016 19:35:07 +0100
Subject: [PATCH] update.sh: always fetch tags.

We use these for updating people who just follow tags.
---
 Library/Homebrew/cmd/update.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/Library/Homebrew/cmd/update.sh b/Library/Homebrew/cmd/update.sh
index b57691893c..716c01599b 100644
--- a/Library/Homebrew/cmd/update.sh
+++ b/Library/Homebrew/cmd/update.sh
@@ -480,10 +480,10 @@ EOS
 
       if [[ -n "$HOMEBREW_UPDATE_PREINSTALL" ]]
       then
-        git fetch --force "${QUIET_ARGS[@]}" origin \
+        git fetch --tags --force "${QUIET_ARGS[@]}" origin \
           "refs/heads/$UPSTREAM_BRANCH_DIR:refs/remotes/origin/$UPSTREAM_BRANCH_DIR" 2>/dev/null
       else
-        if ! git fetch --force "${QUIET_ARGS[@]}" origin \
+        if ! git fetch --tags --force "${QUIET_ARGS[@]}" origin \
           "refs/heads/$UPSTREAM_BRANCH_DIR:refs/remotes/origin/$UPSTREAM_BRANCH_DIR"
         then
           echo "Fetching $DIR failed!" >>"$update_failed_file"
-- 
GitLab